1. Properties
Veco Plus API
  • Introduction
  • Authentication
  • API Keys
  • Rate Limits
  • Data Types
  • Enums Reference Guide
  • Contacts
    • List all events
      GET
    • Get event by id
      GET
  • Properties
    • List all events
      GET
    • Get event by id
      GET
  • Schemas
    • Contact communication
    • Property payload (Sales)
    • Property payload (Lettings)
    • Property Address
    • Property Price Information
    • Property Media
    • Property Details (Sales)
    • Property Details (Lettings)
    • Property Sizing
    • Property Rooms
    • Property List Events Response
    • Property EPC Information
    • Property Obligations
    • Property Risks
    • ExternalOfficeReference
    • Contact List Events Response
    • Contact payload
  1. Properties

Get event by id

GET
https://api.all.veco.plus/api/func/api/v1/events/geteventbyid/{eventId}
Last modified:2026-03-26 17:26:41
This endpoint retrieves a property event by an id
⚠ Important

Consumers should always process only the latest event per property, determined by the highest sequenceNumber.
Failure to do so may result in outdated or duplicate property data being processed.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.all.veco.plus/api/func/api/v1/events/geteventbyid/' \
--header 'x-api-key: VPM_DeVgRvSdPe0C3X0zebl05bmVNcd_4ec2ac2d-baac-4d4c-ace5-fd33e38e699e'

Responses

🟢200Success
application/json
Body

Example
{
    "tenantId": "4ec2ac2d-baac-4d4c-ace5-fd33e38e699e",
    "sequenceNumber": 123,
    "eventType": 2,
    "eventTypeShortCode": "PropertyPublished",
    "payload": "{\"branch_id\": \"SampleBranchId\",\"agent_ref\": \"f423513e-7796-4ed4-9d6f-0d30e7894e1b\",\"published\": false,\"property_type\": 8,\"status\": 1,\"statusstring\": \"Available\",\"create_date\": null,\"contract_months\": 24,\"address\": {\"house_name_number\": \"2 Aragron House\",\"address_2\": \"West Street\",\"address_3\": \"\",\"town\": \"Mudhurst\",\"postcode_1\": \"GU29\",\"postcode_2\": \"9DS\",\"display_address\": \"tretrwetregfdgdfv fbvb tb \"},\"price_information\": {\"price\": 1234.0,\"deposit\": 284.77},\"details\": {\"summary\": \"d asdsscwevds fgv\",\"description\": \"f df df\",\"features\": [],\"bedrooms\": 4,\"bathrooms\": 2,\"reception_rooms\": 1,\"entrance_floor\": 1,\"accessibility\": [37,38,38],\"heating\": [48],\"sewerage\": \"mains_supply\",\"water\": \"private_supply\",\"electricity\": [\"mains_supply\"],\"obligations\": {\"Listed\": false,\"Restrictions\": true,\"RequiredAccess\": false,\"RightOfWay\": true},\"epc_information\": {\"epc_certificate_id\": null,\"current_energy_efficiency\": null,\"potential_energy_efficiency\": null,\"current_energy_rating\": null,\"potential_energy_rating\": null},\"deposit_replacement_scheme\": true},\"media\": [{\"media_type\": 1,\"media_url\": \"https://example.com/media.jpg\",\"caption\": \"jpg\",\"media_update_date\": \"27-01-2025 10:51:17\"},{\"media_type\": 1,\"media_url\": \"https://example.com/media.jpg\",\"caption\": \"jpg\",\"media_update_date\": \"27-01-2025 10:51:17\"},{\"media_type\": 1,\"media_url\": \"https://example.com/media.jpg\",\"caption\": \"jpg\",\"media_update_date\": \"27-01-2025 10:51:17\"}],\"risks\": {\"flood_defences\": false,\"sources_of_flooding\": []},\"directions\": \"\",\"veco_reference\": \"PR3E7TA49M\"}",
    "transactionId": "ff748d19-0498-4b16-9e69-7b2bedf1b1da",
    "id": "4d972fd6-b760-4a73-9eca-92b406fbc1ae",
    "createdDate": "2024-11-22T10:39:32.0745679"
}
🟠400BadRequest
🟠401Unauthorized
🟠404NotFound
Modified at 2026-03-26 17:26:41
Previous
List all events
Next
Contact communication
Built with